PLplot: plstripc.c File Reference

PLplot 5.15.0

Classes | Macros | Functions | Variables
plstripc.c File Reference
`#include "plplotP.h"`

Go to the source code of this file.

## Classes
struct | PLStrip

## Macros
#define | PEN 4
#define | MAX_STRIPC 1000

## Functions
static void | plstrip_gen (PLStrip *strip)
static void | plstrip_legend (PLStrip *strip, int flag)
void | c_plstripc (PLINT *id, PLCHAR_VECTOR xspec, PLCHAR_VECTOR yspec, PLFLT xmin, PLFLT xmax, PLFLT xjump, PLFLT ymin, PLFLT ymax, PLFLT xlpos, PLFLT ylpos, PLINT y_ascl, PLINT acc, PLINT colbox, PLINT collab, PLINT_VECTOR colline, PLINT_VECTOR styline, PLCHAR_MATRIX legline, PLCHAR_VECTOR labx, PLCHAR_VECTOR laby, PLCHAR_VECTOR labtop)
void | c_plstripa (PLINT id, PLINT p, PLFLT x, PLFLT y)
void | c_plstripd (PLINT id)

## Variables
static int | sid
static PLStrip * | strip [MAX_STRIPC]
static PLStrip * | stripc

## Macro Definition Documentation

## ◆ MAX_STRIPC

#define MAX_STRIPC 1000

Definition at line 45 of file plstripc.c.

## ◆ PEN

#define PEN 4

Definition at line 29 of file plstripc.c.

## Function Documentation

## ◆ c_plstripa()

void c_plstripa | ( | PLINT | id,
|  | PLINT | p,
|  | PLFLT | x,
|  | PLFLT | y
| ) |  |

Definition at line 221 of file plstripc.c.

## ◆ c_plstripc()

void c_plstripc | ( | PLINT * | id,
|  | PLCHAR_VECTOR | xspec,
|  | PLCHAR_VECTOR | yspec,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | xjump,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | xlpos,
|  | PLFLT | ylpos,
|  | PLINT | y_ascl,
|  | PLINT | acc,
|  | PLINT | colbox,
|  | PLINT | collab,
|  | PLINT_VECTOR | colline,
|  | PLINT_VECTOR | styline,
|  | PLCHAR_MATRIX | legline,
|  | PLCHAR_VECTOR | labx,
|  | PLCHAR_VECTOR | laby,
|  | PLCHAR_VECTOR | labtop
| ) |  |

Definition at line 66 of file plstripc.c.

## ◆ c_plstripd()

void c_plstripd | ( | PLINT | id | ) |

Definition at line 327 of file plstripc.c.

## ◆ plstrip_gen()

static void plstrip_gen | ( | PLStrip * | strip | ) |
| static

Definition at line 177 of file plstripc.c.

## ◆ plstrip_legend()

static void plstrip_legend | ( | PLStrip * | strip,
|  | int | flag
| ) |  |
| static

Definition at line 146 of file plstripc.c.

## Variable Documentation

## ◆ sid

int sid
| static

Definition at line 44 of file plstripc.c.

## ◆ strip

PLStrip* strip[MAX_STRIPC]
| static

Definition at line 46 of file plstripc.c.

## ◆ stripc

PLStrip* stripc
| static

Definition at line 47 of file plstripc.c.